You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

This forum contains topics that were moved from Get Satisfaction
Alex7142450
Posts: 0
Joined: Thu Oct 02, 2014 8:01 am

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Alex7142450 »

Hi, After downloaded the project as a Ecplipse one, to solve the problem i tried to update cordova by using the command line: cordova platform update android...

But the message i ve got is the following: Current working directory is not a Cordova-based project...

Any suggestions on how to fix this problem?

Kateryna Grynko
Posts: 0
Joined: Thu Nov 15, 2012 9:13 am

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Kateryna Grynko »

Hello,

This is an unexpected issue and Appery.io project structure is not compatible with what Cordova suggests. You can either export your app as Eclipse project and do everything manually, or you could wait for our release (in approximately 3 weeks).

Alex7142450
Posts: 0
Joined: Thu Oct 02, 2014 8:01 am

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Alex7142450 »

I ve imported the application as a Maven Project, i v tried to change the dipendency from 3.0.0 to 3.5.1... It does not works.

What do you mean by:"Do everything manually?" Could you please be more clear...

Thank you.

Kateryna Grynko
Posts: 0
Joined: Thu Nov 15, 2012 9:13 am

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Kateryna Grynko »

Hi Alex,

You would need to:

  1. Change cordova.jar
  2. Change cordova.js
  3. Change all plug-ins
Alex7142450
Posts: 0
Joined: Thu Oct 02, 2014 8:01 am

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Alex7142450 »

Thank you for your support, so in my exported eclipse project i need to edit those files by updating them to atleast the 3.5.1 version of cordova?

I'v noticed that projects from Appery.io also a file called "cordova-core", i must upgrade this also? ...

And where i can download the correct version of those files to update my Appery.io project?

Thank you.

Alex7142450
Posts: 0
Joined: Thu Oct 02, 2014 8:01 am

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Alex7142450 »

Sorry, i have downloaded the file from you'r link, there is not any JAR inside there.

Evgene Karachevtsev
Posts: 12
Joined: Mon Apr 28, 2014 1:12 pm

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Evgene Karachevtsev »

Hello Alex,

The sources are there, please look here what to do with them: http://cordova.apache.org/docs/en/3.6...

Hnto7127371
Posts: 0
Joined: Wed Sep 24, 2014 10:21 pm

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Hnto7127371 »

Evgene,

Is there any new information regarding the specific date?

Thank you.

Evgene Karachevtsev
Posts: 12
Joined: Mon Apr 28, 2014 1:12 pm

You should upgrade to Apache Cordova 3.5.1 or higher as soon as possible

Post by Evgene Karachevtsev »

Hnto,

Approximate date of update is 19 October. We'll inform preliminarily.

Post Reply